Bug 676638 - dtrace(1) man page is not in the same package as the binary
dtrace(1) man page is not in the same package as the binary
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stan Cox
Fedora Extras Quality Assurance
Depends On:
Blocks: 676641
  Show dependency treegraph
Reported: 2011-02-10 09:59 EST by Paolo Bonzini
Modified: 2011-07-04 10:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 676641 (view as bug list)
Last Closed: 2011-07-04 10:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2011-02-10 09:59:29 EST
Description of problem:
/usr/bin/dtrace is provided by systemtap-sdt-devel, while dtrace(1) is provided by systemtap

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Invoke "apropos dtrace".
2. Invoke "man dtrace".
3. Invoke "dtrace".
Actual results:
User is puzzled as the binary is not found.

Expected results:
User cannot find the manpage, invokes "yum whatprovides '*/dtrace*'" and installs the binary.
Comment 1 Stan Cox 2011-02-15 09:26:07 EST
Fixed upstream:

Put dtrace(1) man page in the same package as the binary.
systemtap.spec (sdt-devel): Move dtrace.1 here.
Comment 2 Frank Ch. Eigler 2011-07-04 10:43:10 EDT
I believe the systemtap 1.5 packages fix this problem.

Note You need to log in before you can comment on or make changes to this bug.